menu

App Engine: Qwik Start - Java

转至实验

1803 评价

Montassar M. · 已于 大约 1 小时前审核

Mert A. · 已于 大约 24 小时前审核

Manel O. · 已于 1 天前审核

Fr L. · 已于 2 天前审核

Fr L. · 已于 2 天前审核

Manel O. · 已于 2 天前审核

Mostafa N. · 已于 3 天前审核

Hải B. · 已于 3 天前审核

Ahmed J. · 已于 3 天前审核

Steps are easy to follow, but the app engine failed to deploy at the end because of some error I can't follow through with limited knowledge in the tools

Mohammad A. · 已于 4 天前审核

Aaron D. · 已于 5 天前审核

Pranabh D. · 已于 5 天前审核

Russell C. · 已于 6 天前审核

The maven instructions make it sound like maven is being downloaded which is not the case - it's already downloaded and installed, maven is just being used to build the app The pom change to a different version should be explained. Also, cloning the project today, there's extra configuration in the pom for the appengine-maven-plugin that makes the build fail. Error message: [INFO] GCLOUD: Temporary staging for module default directory left in /home/student_00_868f12d450c4/getting-started-java/appengine-standard-java8/helloworld/target/appengine-staging Feb 12, 2020 11:51:57 AM com.google.cloud.tools.appengine.cloudsdk.CloudSdk logCommand INFO: submitting command: /google/google-cloud-sdk/bin/gcloud app deploy --version GCLOUD_CONFIG [INFO] GCLOUD: ERROR: (gcloud.app.deploy) argument --version/-v: Bad value [GCLOUD_CONFIG]: May only contain lowercase letters, digits, and hyphens. Must begin and end with a letter or digit. Must not exceed 63 characters. [INFO] GCLOUD: Usage: gcloud app deploy [DEPLOYABLES ...] [optional flags] If I take out that configuration, I still can't deploy. The error message says I need Cloud Build API from the Services & APIs Library which, after November 30 2019, require a billing instrument. Error message: [INFO] GCLOUD: File upload done. [INFO] GCLOUD: WARNING: You will be unable to deploy applications after November 30, 2019 without adding a billing instrument to your project. Please add one at https://consol e.cloud.google.com/billing/linkedaccount?qwiklabs-gcp-00-6e6fd97e8a4f [INFO] GCLOUD: [INFO] GCLOUD: Updating service [default]... [INFO] GCLOUD: ..............................................................failed. [INFO] GCLOUD: ERROR: (gcloud.app.deploy) Error Response: [7] Access Not Configured. Cloud Build has not been used in project qwiklabs-gcp-00-6e6fd97e8a4f before or it is disa bled. Enable it by visiting https://console.developers.google.com/apis/api/cloudbuild.googleapis.com/overview?project=qwiklabs-gcp-00-6e6fd97e8a4f then retry. If you enabled t his API recently, wait a few minutes for the action to propagate to our systems and retry. Could NOT complete lab

jegner j. · 已于 6 天前审核

John K. · 已于 6 天前审核

Piotr O. · 已于 6 天前审核

Kaleby C. · 已于 6 天前审核

Shu C. · 已于 6 天前审核

Yaneth R. · 已于 7 天前审核

Miguel V. · 已于 7 天前审核

Sheng C. · 已于 7 天前审核

DJAMEL EDDINE B. · 已于 7 天前审核

It has a deployment error

Ricardo E. · 已于 8 天前审核

Anas E. · 已于 8 天前审核

Mark C. · 已于 8 天前审核